package com.cpm.lorealbaMabeline.gsonGetterSetter;

import com.cpm.lorealbaMabeline.constant.CommonString;

import java.io.Serializable;
import java.util.ArrayList;

public class InvoiceGetterSetter implements Serializable {
    String product;
    private String actualQty = "";
    private int reasonId = 0;
    private String brandName="";
    private String subBrandName = "";
    private String referenceName = "";
    private String viewMode = "-1";
    boolean confirmChecked = false;
    private String userName = "";

    public String getUserType() {
        return userType;
    }

    public void setUserType(String userType) {
        this.userType = userType;
    }

    private String userType="";
    private String before_makeover_img="";

    public String getDiscounted_value_productwise() {
        return discounted_value_productwise;
    }

    public void setDiscounted_value_productwise(String discounted_value_productwise) {
        this.discounted_value_productwise = discounted_value_productwise;
    }

    private String discounted_value_productwise ="";
    int maybellineorskingenius_count=0;

    public int getMaybellineorskingenius_count() {
        return maybellineorskingenius_count;
    }

    public void setMaybellineorskingenius_count(int maybellineorskingenius_count) {
        this.maybellineorskingenius_count = maybellineorskingenius_count;
    }

    public String getBefore_makeover_img() {
        return before_makeover_img;
    }

    public void setBefore_makeover_img(String before_makeover_img) {
        this.before_makeover_img = before_makeover_img;
    }

    public String getAfter_makeover_img() {
        return after_makeover_img;
    }

    public void setAfter_makeover_img(String after_makeover_img) {
        this.after_makeover_img = after_makeover_img;
    }

    private String after_makeover_img="";

    public String getStrUserId() {
        return strUserId;
    }

    public void setStrUserId(String strUserId) {
        this.strUserId = strUserId;
    }

    private String strUserId="";
    private String draft_status = "",invoice_status = "" ;

    public String getInvoice_status() {
        return invoice_status;
    }

    public void setInvoice_status(String invoice_status) {
        this.invoice_status = invoice_status;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public boolean isConfirmChecked() {
        return confirmChecked;
    }

    public void setConfirmChecked(boolean confirmChecked) {
        this.confirmChecked = confirmChecked;
    }

    public String getViewMode() {
        return viewMode;
    }

    public void setViewMode(String viewMode) {
        this.viewMode = viewMode;
    }

    public String getBrandName() {
        return brandName;
    }

    public void setBrandName(String brandName) {
        this.brandName = brandName;
    }

    public String getSubBrandName() {
        return subBrandName;
    }

    public void setSubBrandName(String subBrandName) {
        this.subBrandName = subBrandName;
    }

    public String getReferenceName() {
        return referenceName;
    }

    public void setReferenceName(String referenceName) {
        this.referenceName = referenceName;
    }

    public String getActualQty() {
        return actualQty;
    }

    public void setActualQty(String actualQty) {
        this.actualQty = actualQty;
    }

    public int getReasonId() {
        return reasonId;
    }

    public void setReasonId(int reasonId) {
        this.reasonId = reasonId;
    }

    public boolean isPos_sale_flag() {
        return pos_sale_flag;
    }

    public void setPos_sale_flag(boolean pos_sale_flag) {
        this.pos_sale_flag = pos_sale_flag;
    }

    boolean pos_sale_flag = false;

    public String getScan_ean_code_or_enterd_ean_code() {
        return scan_ean_code_or_enterd_ean_code;
    }

    public void setScan_ean_code_or_enterd_ean_code(String scan_ean_code_or_enterd_ean_code) {
        this.scan_ean_code_or_enterd_ean_code = scan_ean_code_or_enterd_ean_code;
    }

    String scan_ean_code_or_enterd_ean_code;

    public String getStr_termcondition() {
        return str_termcondition;
    }

    public void setStr_termcondition(String str_termcondition) {
        this.str_termcondition = str_termcondition;
    }

    String str_termcondition="";

    public String getProduct() {
        return product;
    }

    public void setProduct(String product) {
        this.product = product;
    }

    public String getProduct_Id() {
        return product_Id;
    }

    public void setProduct_Id(String product_Id) {
        this.product_Id = product_Id;
    }

    public String getQuantity() {
        return quantity;
    }

    public void setQuantity(String quantity) {
        this.quantity = quantity;
    }

    public String getProduct_rate() {
        return product_rate;
    }

    public void setProduct_rate(String product_rate) {
        this.product_rate = product_rate;
    }

    public String getTotal_amount() {
        return total_amount;
    }

    public void setTotal_amount(String total_amount) {
        this.total_amount = total_amount;
    }

    public String getCustomer_name() {
        return customer_name;
    }

    public void setCustomer_name(String customer_name) {
        this.customer_name = customer_name;
    }

    public String getMobile_no() {
        return mobile_no;
    }

    public void setMobile_no(String mobile_no) {
        this.mobile_no = mobile_no;
    }

    String product_Id;
    String quantity="";
    String product_rate;
    String total_amount;
    String customer_name;
    String mobile_no;
    String store_name;
    String percheasing_tym;
    public String getConsumer_return_bill_no() {
        return consumer_return_bill_no;
    }

    public void setConsumer_return_bill_no(String consumer_return_bill_no) {
        this.consumer_return_bill_no = consumer_return_bill_no;
    }

    String consumer_return_bill_no="";

    public String getConsumer_email_Id() {
        return consumer_email_Id;
    }

    public void setConsumer_email_Id(String consumer_email_Id) {
        this.consumer_email_Id = consumer_email_Id;
    }

    public String getConsumer_age() {
        return consumer_age;
    }

    public void setConsumer_age(String consumer_age) {
        this.consumer_age = consumer_age;
    }

    public String getConsumer_skinType() {
        return consumer_skinType;
    }

    public void setConsumer_skinType(String consumer_skinType) {
        this.consumer_skinType = consumer_skinType;
    }
    String consumer_email_Id="";
    String consumer_age="";
    String consumer_skinType="";
    String demo_given_str="";

    public String getLook_creater_str() {
        return look_creater_str;
    }

    public void setLook_creater_str(String look_creater_str) {
        this.look_creater_str = look_creater_str;
    }

    String look_creater_str="";

    public String getDemo_given_str() {
        return demo_given_str;
    }

    public void setDemo_given_str(String demo_given_str) {
        this.demo_given_str = demo_given_str;
    }

    public String getProduct_sold_str() {
        return product_sold_str;
    }

    public void setProduct_sold_str(String product_sold_str) {
        this.product_sold_str = product_sold_str;
    }

    String product_sold_str="";

    public String getSourceofSales() {
        return sourceofSales;
    }

    public void setSourceofSales(String sourceofSales) {
        this.sourceofSales = sourceofSales;
    }

    String sourceofSales="";

    public String getSkin_genius_str() {
        return skin_genius_str;
    }

    public void setSkin_genius_str(String skin_genius_str) {
        this.skin_genius_str = skin_genius_str;
    }

    String skin_genius_str = "";

    public String getMaybelline_vto_str() {
        return maybelline_vto_str;
    }

    public void setMaybelline_vto_str(String maybelline_vto_str) {
        this.maybelline_vto_str = maybelline_vto_str;
    }

    String maybelline_vto_str="";

    public String getSkuType() {
        return skuType;
    }

    public void setSkuType(String skuType) {
        this.skuType = skuType;
    }

    String skuType="";

    public String getPercheasing_tym() {
        return percheasing_tym;
    }

    public void setPercheasing_tym(String percheasing_tym) {
        this.percheasing_tym = percheasing_tym;
    }


    public int getReccept_count() {
        return reccept_count;
    }

    public void setReccept_count(int reccept_count) {
        this.reccept_count = reccept_count;
    }

    int reccept_count=0;

    public String getCst_count() {
        return cst_count;
    }

    public void setCst_count(String cst_count) {
        this.cst_count = cst_count;
    }

    String cst_count = "0";

    public String getStr_invoiceType() {
        return str_invoiceType;
    }

    public void setStr_invoiceType(String str_invoiceType) {
        this.str_invoiceType = str_invoiceType;
    }

    String str_invoiceType="";

    public String getCustomer_gender() {
        return customer_gender;
    }

    public void setCustomer_gender(String customer_gender) {
        this.customer_gender = customer_gender;
    }

    String customer_gender;

    public String getStore_name() {
        return store_name;
    }

    public void setStore_name(String store_name) {
        this.store_name = store_name;
    }

    public String getStore_address() {
        return store_address;
    }

    public void setStore_address(String store_address) {
        this.store_address = store_address;
    }

    String store_address;

    public String getVisit_date() {
        return visit_date;
    }

    public void setVisit_date(String visit_date) {
        this.visit_date = visit_date;
    }

    String visit_date;
    String cst_feed_back_value = "";

    public String getCst_feed_back_value() {
        return cst_feed_back_value;
    }

    public void setCst_feed_back_value(String cst_feed_back_value) {
        this.cst_feed_back_value = cst_feed_back_value;
    }

    public String getFeed_back_type() {
        return feed_back_type;
    }

    public void setFeed_back_type(String feed_back_type) {
        this.feed_back_type = feed_back_type;
    }

    String feed_back_type = "";

    private Integer mtdSales;

    private String counterName;
    private Double target;

    public Double getDiscount() {
        return discount;
    }

    public void setDiscount(Double discount) {
        this.discount = discount;
    }

    private Double discount=0.0;

    public String getCounterName() {
        return counterName;
    }

    public void setCounterName(String counterName) {
        this.counterName = counterName;
    }

    public Double getTarget() {
        return target;
    }

    public void setTarget(Double target) {
        this.target = target;
    }

    public Integer getMtdSales() {
        return mtdSales;
    }

    public void setMtdSales(Integer mtdSales) {
        this.mtdSales = mtdSales;
    }

    public Double getActual_price_per_product() {
        return actual_price_per_product;
    }

    public void setActual_price_per_product(Double actual_price_per_product) {
        this.actual_price_per_product = actual_price_per_product;
    }

    Double actual_price_per_product=0.0;
    String con_return_reason_Id="0";

    public String getCon_return_reason_Id() {
        return con_return_reason_Id;
    }

    public void setCon_return_reason_Id(String con_return_reason_Id) {
        this.con_return_reason_Id = con_return_reason_Id;
    }

    public String getCon_return_reason() {
        return con_return_reason;
    }

    public void setCon_return_reason(String con_return_reason) {
        this.con_return_reason = con_return_reason;
    }

    String con_return_reason="";

    public Double getDiscounted_value() {
        return discounted_value;
    }

    public void setDiscounted_value(Double discounted_value) {
        this.discounted_value = discounted_value;
    }

    Double discounted_value=0.0;

    public String getUnique_code() {
        return unique_code;
    }

    public void setUnique_code(String unique_code) {
        this.unique_code = unique_code;
    }

    String unique_code="";

    public String getStr_upload_status() {
        return str_upload_status;
    }

    public void setStr_upload_status(String str_upload_status) {
        this.str_upload_status = str_upload_status;
    }

    String str_upload_status= CommonString.KEY_N;
    private Double mrp;
    public Double getMrp() {
        return mrp;
    }

    public void setMrp(Double mrp) {
        this.mrp = mrp;
    }

    public Double getDiscountValue() {
        return discountValue;
    }

    public void setDiscountValue(Double discountValue) {
        this.discountValue = discountValue;
    }

    public Double getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(Double totalAmount) {
        this.totalAmount = totalAmount;
    }

    private Double discountValue;

    private Double totalAmount;


    public String getDraft_status() {
        return draft_status;
    }

    public void setDraft_status(String draft_status) {
        this.draft_status = draft_status;
    }

    public String getKeyId() {
        return keyId;
    }

    public void setKeyId(String keyId) {
        this.keyId = keyId;
    }

    String keyId;

    public String getConsumer_no_saleImg() {
        return consumer_no_saleImg;
    }

    public void setConsumer_no_saleImg(String consumer_no_saleImg) {
        this.consumer_no_saleImg = consumer_no_saleImg;
    }

    public String getInvoice_img() {
        return invoice_img;
    }

    public void setInvoice_img(String invoice_img) {
        this.invoice_img = invoice_img;
    }

    private String invoice_img="";

    String consumer_no_saleImg="";
    ////for promo
    public boolean isPromotionactive() {
        return promotionactive;
    }

    public void setPromotionactive(boolean promotionactive) {
        this.promotionactive = promotionactive;
    }

    public boolean promotionactive=false;

    public String getSelected_promo_productId() {
        return selected_promo_productId;
    }

    public void setSelected_promo_productId(String selected_promo_productId) {
        this.selected_promo_productId = selected_promo_productId;
    }

    String selected_promo_productId ="0";

    public String getSelected_promoproduct() {
        return selected_promoproduct;
    }

    public void setSelected_promoproduct(String selected_promoproduct) {
        this.selected_promoproduct = selected_promoproduct;
    }

    String selected_promoproduct="";

    String promotion_name="";

    public String getPromotion_name() {
        return promotion_name;
    }

    public void setPromotion_name(String promotion_name) {
        this.promotion_name = promotion_name;
    }

    public String getPromotion_Id() {
        return promotion_Id;
    }

    public void setPromotion_Id(String promotion_Id) {
        this.promotion_Id = promotion_Id;
    }

    String promotion_Id="0";

    public boolean isPromo_flag() {
        return promo_flag;
    }

    public void setPromo_flag(boolean promo_flag) {
        this.promo_flag = promo_flag;
    }

    boolean promo_flag=false;

    public String getPromo_type() {
        return promo_type;
    }

    public void setPromo_type(String promo_type) {
        this.promo_type = promo_type;
    }

    String  promo_type="";

    public String getReturn_bill_img() {
        return return_bill_img;
    }

    public void setReturn_bill_img(String return_bill_img) {
        this.return_bill_img = return_bill_img;
    }

    String return_bill_img="";
    int aplyieddiscountedprice=0;

    public int getAplyieddiscountedprice() {
        return aplyieddiscountedprice;
    }

    public void setAplyieddiscountedprice(int aplyieddiscountedprice) {
        this.aplyieddiscountedprice = aplyieddiscountedprice;
    }

    int total_replace_product_value=0;

    public int getTotal_replace_product_value() {
        return total_replace_product_value;
    }

    public void setTotal_replace_product_value(int total_replace_product_value) {
        this.total_replace_product_value = total_replace_product_value;
    }

    public int getTotal_replace_product_qty() {
        return total_replace_product_qty;
    }

    public void setTotal_replace_product_qty(int total_replace_product_qty) {
        this.total_replace_product_qty = total_replace_product_qty;
    }

    int total_replace_product_qty=0;

    public ArrayList<InvoiceGetterSetter> getApplyiedproductList() {
        return applyiedproductList;
    }

    public void setApplyiedproductList(ArrayList<InvoiceGetterSetter> applyiedproductList) {
        this.applyiedproductList = applyiedproductList;
    }

    ArrayList<InvoiceGetterSetter>applyiedproductList=new ArrayList<>();
}
